package ink.wgink.module.map.pojo.dtos.grid;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @ClassName: GridUserDTO
 * @Description: 网格用户
 * @Author: wanggeng
 * @Date: 2021/10/20 5:46 下午
 * @Version: 1.0
 */
@ApiModel
public class GridUserDTO {

    @ApiModelProperty(name = "gridId", value = "网格ID")
    private String gridId;
    @ApiModelProperty(name = "userId", value = "用户ID")
    private String userId;
    @ApiModelProperty(name = "userUsername", value = "用户名")
    private String userUsername;
    @ApiModelProperty(name = "userName", value = "用户昵称")
    private String userName;
    @ApiModelProperty(name = "userPhone", value = "用户电话")
    private String userPhone;
    @ApiModelProperty(name = "gmtCreate", value = "添加时间")
    private String gmtCreate;

    public String getGridId() {
        return gridId == null ? "" : gridId.trim();
    }

    public void setGridId(String gridId) {
        this.gridId = gridId;
    }

    public String getUserId() {
        return userId == null ? "" : userId.trim();
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserUsername() {
        return userUsername == null ? "" : userUsername.trim();
    }

    public void setUserUsername(String userUsername) {
        this.userUsername = userUsername;
    }

    public String getUserName() {
        return userName == null ? "" : userName.trim();
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserPhone() {
        return userPhone == null ? "" : userPhone.trim();
    }

    public void setUserPhone(String userPhone) {
        this.userPhone = userPhone;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }
}
